Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1686058 - specifying digest for signing time-stamping responses is mandatory
Summary: specifying digest for signing time-stamping responses is mandatory
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: openssl
Version: 8.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: 8.0
Assignee: Tomas Mraz
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On: 1682501
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-06 15:57 UTC by Hubert Kario
Modified: 2019-04-15 16:54 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openssl openssl pull 8421 None None None 2019-03-25 14:03:12 UTC

Description Hubert Kario 2019-03-06 15:57:21 UTC
Description of problem:
man page of openssl ts specifies that digest is optional, it is actually mandatory

Version-Release number of selected component (if applicable):
openssl-1.1.1-8.el8.x86_64

How reproducible:
always

Steps to Reproduce:
1. use config file that does not specify signer_digest, use command line that does not specify digest

Actual results:
140617514493760:error:2F098088:time stamp routines:ts_CONF_lookup_fail:cannot find config variable:crypto/ts/ts_conf.c:106:tsr_test::signer_digest

Expected results:
man page of ts specifying that digest is mandatory, not optional

Additional info:

Comment 1 Tomas Mraz 2019-03-06 17:16:02 UTC
It is optional on both places but it has to be specified on at least one place. The documentation should be clarified.

Comment 2 Hubert Kario 2019-03-25 14:03:12 UTC
fixed upstream: https://github.com/openssl/openssl/pull/8421


Note You need to log in before you can comment on or make changes to this bug.